
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

body {
    font-family:Arial, Helvetica, sans-serif;
    line-height: 1.6;
    color: #333;
}

img {
    max-width: 100%;
    height: auto;
}

h2{
    font-size: 1.9em;
    margin-bottom:1.5em;
    color:#333;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 50px;
}

.logo img { height: 60px; }

.nav-links {
    display: flex;
    list-style: none;
    gap: 40px;
}

.nav-links a {
    text-decoration: none;
    color: #333;
}

.nav-icons { display: flex; gap: 15px; }
.nav-icons img { height: 20px; }


#menu-toggle {
    display: block;
    opacity: 0;
    position: absolute;
    width: 40px;
    height: 40px;
    cursor: pointer;
    z-index: 200;
}


.hamburger {
    display: none;
    font-size: 2.5rem;
    cursor: pointer;
    z-index: 200;
}


.nav-links {
    display: flex;
    list-style: none;
    gap: 40px;
}


.hero {
    position: relative;
    height: 80vh;
    overflow: hidden;
    text-align: center;
}

.hero img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-text {
    position: absolute;
    top: 35%;
    left: 1%;
    transform: translateY(-50%);
    color: white;
    text-align: center;
    padding-top: 20px;
    padding-bottom: 20px;
    border-radius:20px;
    max-width: 900px
}

.hero-text h1 { 
font-size: 3rem; 
margin-bottom: 20px; 
}

.hero-text p { font-size: 1.4em; 
color:white;
    font-weight:bold;
}

.btn {
    display: inline-block;
    padding: 10px 20px;
    background: rgb(24, 79, 144);
    color: white;
    text-decoration: none;
    margin-top: 15px;
    border-radius: 25px;
}


.intro {
    max-width: 1200px;
    margin: 0 auto;
    padding: 80px 20px;
    text-align: center;
}

.intro p{
    color:#333;
    max-width: 650px;
    margin: 0 auto;
}

.icons {
    display: flex;
    justify-content: space-between;
    margin-top: 10em;;
    gap: 20px;
}

.icon-box { 
display: flex; 
    flex-direction: column; 
    align-items: center;
    text-align: center;
    background-color:rgba(211, 211, 211, 0.23);
        padding:20px;
margin-top: -3em;
}

.icon-box img{
    width:50px;
height: auto;


margin-bottom: 1em;
}


.about-container {
    display: flex;
    align-items: stretch;
margin-bottom: 5em;
}

.about-image, .about-text { flex: 1; }
.about-text {
    background-color: rgba(211, 211, 211, 0.23);
    padding: 2em;
}

.about-image {
    display:flex;
    flex-direction: column;
align-items:stretch;
    min-height: 610px;  
    
    
    background-image: url('images/teaser_ilona_flipchart-1920w.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.about-text img{
    width: 150px;
    height:auto;
    padding: 0.8em;
}

.testimonials {
    background-color: rgba(211, 211, 211, 0.23);
    padding: 5em 20px;
    text-align: center;
}

.testimonial-container {
    max-width: 1200px;
    display: flex;
    gap: 30px;
    margin: 80px auto 0;
}

.testimonial {
    flex: 1;
    background: white;
    padding: 60px 20px 20px;
    position: relative;
}

.testimonial img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    object-fit: cover;
    position: absolute;
    top: -50px;
    left: 50%;
    transform: translateX(-50%);
}


.engagement { 
padding: 80px 20px; 
text-align: center; 
}

.engagement .logos {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
margin-top: -4em;
}

#ufh-logo{
    height: 100px;
width: auto;
}

.engagement h2{
    margin-bottom:4em;
}



footer {
    background-color: rgb(24, 79, 144);
    color: white;
    text-align: center;
    padding: 30px;
}

footer a { 
color: white; 
text-decoration: none;
 }

.impressum{
    max-width:650px;
margin-left: 3em;
}

.impressum h1{
    margin-top: 3em;
margin-left: 2em;
}

.datenschutz{
    max-width:900px;
margin-left: 3em;
}

.datenschutz{
    margin-top: 3em;
margin-left: 2em;
margin-bottom: 3em;
}





@media screen and (max-width: 768px) {
    
    
    .icons, .about-container, .testimonial-container, .engagement .logos {
        flex-direction: column;
        gap: 50px;
    }

   
    .hamburger {
        display: block;
        position: relative;
        font-size: 2.5rem;
        cursor: pointer;
        z-index: 200; 
        padding: 10px;
    }


    .nav-links {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 80px;
        left: 0;
        width: 100%;
        background: white;
        padding: 20px;
        z-index: 100;
        box-shadow: 0 5px 10px rgba(0,0,0,0.1);
    }

   
    #menu-toggle:checked ~ .nav-links {
        display: flex;
    }

    .nav-icons { display: none; }


    .hero { height: auto; }
    .hero-text {
        position: static;
        transform: none;
        padding: 40px 20px;
       color:black;
    }
    .hero-text h1 { font-size: 2rem; }
    
    .icon-box{
        margin-bottom: 2em;
    }
    
    .testimonial{
        margin-bottom: 2.5em;
    }
}